FreeBSD : drupal6-cck -- XSS (03d22656-2690-11de-8226-0030843d3802)

Medium Nessus Plugin ID 36136


The remote FreeBSD host is missing a security-related update.


Drupal CCK plugin developer reports :

The Node reference and User reference sub-modules, which are part of the Content Construction Kit (CCK) project, lets administrators define node fields that are references to other nodes or to users. When displaying a node edit form, the titles of candidate referenced nodes or names of candidate referenced users are not properly filtered, allowing malicious users to inject arbitrary code on those pages. Such a cross site scripting (XSS) attack may lead to a malicious user gaining full administrative access.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 36136

File Name: freebsd_pkg_03d22656269011de82260030843d3802.nasl

Version: $Revision: 1.16 $

Type: local

Published: 2009/04/11

Modified: 2016/05/09

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Temporal Score: 3.7

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:drupal6-cck, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2009/04/11

Vulnerability Publication Date: 2009/03/23

Reference Information

CVE: CVE-2009-1069

BID: 34172

CWE: 79